org.apache.ignite.internal.util.typedef

## Interface R3<E1,E2,E3,R>

Type Parameters:
  `E1` - Type of the free variable, i.e. the element the closure is called or closed on.
  `R` - Type of the closure's return value.

All Superinterfaces:
  IgniteOutClosure<R>, IgniteReducer3<E1,E2,E3,R>, Serializable

    public interface R3<E1,E2,E3,R>
    extends IgniteReducer3<E1,E2,E3,R>

Defines `alias` for `IgniteReducer3` by extending it. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended to provide for more concise code in cases when readability won't be sacrificed. For more information see `IgniteReducer3`.

See Also:
  `GridFunc`, `IgniteReducer3`

### Method Summary

### Methods inherited from interface org.apache.ignite.internal.util.lang.IgniteReducer3

`collect`

### Methods inherited from interface org.apache.ignite.lang.IgniteOutClosure

`apply`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015